> ## Documentation Index
> Fetch the complete documentation index at: https://docs.matterai.so/llms.txt
> Use this file to discover all available pages before exploring further.

# Axon 2.5 Pro

<CardGroup cols={2}>
  <Card title="Get API Key" icon="key" href="/axon-ai/api-keys">
    Generate a new API key
  </Card>

  <Card title="View Pricing" icon="credit-card" href="/axon-ai/pricing">
    View model pricing
  </Card>
</CardGroup>

## Model Details

| Property       | Value              |
| -------------- | ------------------ |
| Model ID       | `axon-2-5-pro`     |
| Context Window | 262,000 tokens     |
| Max Output     | 64,000 tokens      |
| Input Price    | \$2.00 / 1M tokens |
| Output Price   | \$8.00 / 1M tokens |
| Cached Input   | \$1.00 / 1M tokens |

## Capabilities

* Tool Calling
* Structured Outputs
* Web Search
* Text + Image Input
* Text Output

## Quick Start

<CodeGroup>
  ```bash cURL theme={null}
  curl --location 'https://api2.matterai.so/v1/web/chat/completions' \
  --header 'Content-Type: application/json' \
  --header 'Authorization: Bearer MATTERAI_API_KEY' \
  --data '{
      "model": "axon-2-5-pro",
      "max_new_tokens": 2048,
      "temperature": 0.1,
      "messages": [
          {
              "role": "user",
              "content": "Hi"
          }
      ],
      "stream": false
  }'
  ```

  ```javascript JavaScript theme={null}
  import OpenAI from "openai";

  const client = new OpenAI({
    apiKey: "MATTERAI_API_KEY",
    baseURL: "https://api2.matterai.so/v1",
  });

  const response = await client.chat.completions.create({
    model: "axon-2-5-pro",
    messages: [{ role: "user", content: "Hi" }],
    max_tokens: 2048,
    temperature: 0.1,
  });

  console.log(response.choices[0].message.content);
  ```

  ```python Python theme={null}
  from openai import OpenAI

  client = OpenAI(
      api_key="MATTERAI_API_KEY",
      base_url="https://api2.matterai.so/v1"
  )

  response = client.chat.completions.create(
      model="axon-2-5-pro",
      messages=[
          {"role": "user", "content": "Hi"}
      ],
      max_tokens=2048,
      temperature=0.1
  )

  print(response.choices[0].message.content)
  ```
</CodeGroup>

<CardGroup cols={2}>
  <Card href="/axon-models" title="Axon Models Overview" img="https://res.cloudinary.com/dxvbskvxm/image/upload/v1759829903/axon-models_n4c8t6.webp">
    Compare all available models
  </Card>

  <Card href="/api-reference/endpoint/completions" title="API Reference" icon="book-open">
    View full API documentation
  </Card>
</CardGroup>
